## CamelIMAPXJob CamelIMAPXJob |

## Functions

CamelIMAPXJob * | camel_imapx_job_new ()
CamelIMAPXJob * | camel_imapx_job_ref ()
void | camel_imapx_job_unref ()
void | camel_imapx_job_done ()
gboolean | camel_imapx_job_matches ()

## Types and Values

| CamelIMAPXJob

## Description

## Functions

### camel_imapx_job_new ()

    CamelIMAPXJob *
    camel_imapx_job_new (guint32 job_kind,
                         CamelIMAPXMailbox *mailbox,
                         CamelIMAPXJobRunSyncFunc run_sync,
                         CamelIMAPXJobMatchesFunc matches,
                         CamelIMAPXJobCopyResultFunc copy_result);

### camel_imapx_job_ref ()

    CamelIMAPXJob *
    camel_imapx_job_ref (CamelIMAPXJob *job);

### camel_imapx_job_unref ()

    void
    camel_imapx_job_unref (CamelIMAPXJob *job);

### camel_imapx_job_done ()

    void
    camel_imapx_job_done (CamelIMAPXJob *job);

### camel_imapx_job_matches ()

    gboolean
    camel_imapx_job_matches (CamelIMAPXJob *job,
                             CamelIMAPXJob *other_job);

## Types and Values

### CamelIMAPXJob

    typedef struct _CamelIMAPXJob CamelIMAPXJob;